import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { DevopsSwitchPartitionStc } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-28 17:45
 */
interface DevopsSwitchPartitionStcCU extends ConditionUtil<DevopsSwitchPartitionStcCU> {
    ID: FieldUtil<DevopsSwitchPartitionStcCU>;
    PARTITION_NAME: FieldUtil<DevopsSwitchPartitionStcCU>;
    PARTITION_CODE: FieldUtil<DevopsSwitchPartitionStcCU>;
    CREATE_TIME: FieldUtil<DevopsSwitchPartitionStcCU>;
    UPDATE_TIME: FieldUtil<DevopsSwitchPartitionStcCU>;
    PARTITION_STATUS: FieldUtil<DevopsSwitchPartitionStcCU>;
    RESTORE_EMERGENCY_MODE_URL: FieldUtil<DevopsSwitchPartitionStcCU>;
}
declare class DevopsSwitchPartitionStcMU extends TableUtilImpl<DevopsSwitchPartitionStcCU, DevopsSwitchPartitionStc> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): DevopsSwitchPartitionStcCU;
    static get ID(): FieldUtil<DevopsSwitchPartitionStcCU>;
    static get PARTITION_NAME(): FieldUtil<DevopsSwitchPartitionStcCU>;
    static get PARTITION_CODE(): FieldUtil<DevopsSwitchPartitionStcCU>;
    static get CREATE_TIME(): FieldUtil<DevopsSwitchPartitionStcCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsSwitchPartitionStcCU>;
    static get PARTITION_STATUS(): FieldUtil<DevopsSwitchPartitionStcCU>;
    static get RESTORE_EMERGENCY_MODE_URL(): FieldUtil<DevopsSwitchPartitionStcCU>;
    get ID(): FieldUtil<DevopsSwitchPartitionStcCU>;
    get PARTITION_NAME(): FieldUtil<DevopsSwitchPartitionStcCU>;
    get PARTITION_CODE(): FieldUtil<DevopsSwitchPartitionStcCU>;
    get CREATE_TIME(): FieldUtil<DevopsSwitchPartitionStcCU>;
    get UPDATE_TIME(): FieldUtil<DevopsSwitchPartitionStcCU>;
    get PARTITION_STATUS(): FieldUtil<DevopsSwitchPartitionStcCU>;
    get RESTORE_EMERGENCY_MODE_URL(): FieldUtil<DevopsSwitchPartitionStcCU>;
}
export { DevopsSwitchPartitionStcMU, DevopsSwitchPartitionStcCU };
